/***********************
* Adobe Edge Animate Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 24000, function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("restart");

      });
      //Edge binding end

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_pause}", "click", function(sym, e) {
         sym.stop();
         // Hide an Element.
         //  (sym.$("name") resolves an Edge Animate element name to a DOM
         //  element that can be used with jQuery)
         sym.$("pause").hide();
         // Show an Element.
         //  (sym.$("name") resolves an Edge Animate element name to a DOM
         //  element that can be used with jQuery)
         sym.$("play").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_play}", "click", function(sym, e) {
         sym.play();
         // Hide an Element.
         //  (sym.$("name") resolves an Edge Animate element name to a DOM
         //  element that can be used with jQuery)
         sym.$("play").hide();
         // Show an Element.
         //  (sym.$("name") resolves an Edge Animate element name to a DOM
         //  element that can be used with jQuery)
         sym.$("pause").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_blob}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("beach");
         var blob2 = sym.getSymbol("blob2");
         var blob3 = sym.getSymbol("blob3");
         var blob4 = sym.getSymbol("blob4");
         // stop the timeline at the given position (ms or label)
         blob2.stop("light");
         blob3.stop("light");
         blob4.stop("light");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_blob2}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("waves");
         //get the value of a Symbol variable
         var blob = sym.getSymbol("blob");
         var blob3 = sym.getSymbol("blob3");
         var blob4 = sym.getSymbol("blob4");
         // stop the timeline at the given position (ms or label)
         blob.stop("light");
         blob3.stop("light");
         blob4.stop("light");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_blob3}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("rocks");
         //get the value of a Symbol variable
         var blob2 = sym.getSymbol("blob2");
         var blob = sym.getSymbol("blob");
         var blob4 = sym.getSymbol("blob4");
         // stop the timeline at the given position (ms or label)
         blob2.stop("light");
         blob.stop("light");
         blob4.stop("light");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_blob4}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("tree");
         //get the value of a Symbol variable
         var blob2 = sym.getSymbol("blob2");
         var blob3 = sym.getSymbol("blob3");
         var blob = sym.getSymbol("blob");
         // stop the timeline at the given position (ms or label)
         blob2.stop("light");
         blob3.stop("light");
         blob.stop("light");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Down-level'
   (function(symbolName) {   
   
   })("Down-level");
   //Edge symbol end:'Down-level'

   //=========================================================
   
   //Edge symbol: 'blob'
   (function(symbolName) {   
   
   })("blob");
   //Edge symbol end:'blob'

})(jQuery, AdobeEdge, "EDGE-8094817");